Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.proxy.ejb
Class HomeHandleImplIIOP

    java.lang.Object
      org.jboss.proxy.ejb.HomeHandleImplIIOP

All Implemented Interfaces:
  javax.ejb.HomeHandle, Serializable

public class HomeHandleImplIIOP
extends Object
implements javax.ejb.HomeHandle

A CORBA-based EJB home handle implementation.

Version:
  $Revision: 1.5 $
Author:
  Rickard Öberg., Jason Dillon, Francisco Reverbel
See Also:
  Serialized Form

Constructor Summary
`HomeHandleImplIIOP(javax.ejb.EJBHome home)` Constructs a `HomeHandleImplIIOP`.
`HomeHandleImplIIOP(Object home)` Constructs a `HomeHandleImplIIOP`.
`HomeHandleImplIIOP(String ior)` Constructs a `HomeHandleImplIIOP`.

Method Summary
`javax.ejb.EJBHome` | `getEJBHome()` Obtains the `EJBHome` represented by this home handle.
`void` | `readObject(ObjectInputStream oistream)`
`void` | `writeObject(ObjectOutputStream oostream)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HomeHandleImplIIOP

    public HomeHandleImplIIOP(String ior)

  Constructs a `HomeHandleImplIIOP`.

Parameters:
  `ior` - An stringfied CORBA reference for an `EJBHome`.

### HomeHandleImplIIOP

    public HomeHandleImplIIOP(javax.ejb.EJBHome home)

  Constructs a `HomeHandleImplIIOP`.

Parameters:
  `home` - An `EJBHome`.

### HomeHandleImplIIOP

    public HomeHandleImplIIOP(Object home)

  Constructs a `HomeHandleImplIIOP`.

Parameters:
  `home` - A CORBA reference for an `EJBHome`.

Method Detail

### getEJBHome

    public javax.ejb.EJBHome getEJBHome()
                                 throws RemoteException

  Obtains the `EJBHome` represented by this home handle.

  Specified by:
    `getEJBHome` in interface `javax.ejb.HomeHandle`
  Returns:
    a reference to an `EJBHome`.
  Throws:
    `RemoteException`

### writeObject

    public void writeObject(ObjectOutputStream oostream)
                     throws IOException

  Throws:
    `IOException`

### readObject

    public void readObject(ObjectInputStream oistream)
                    throws IOException,
                           ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.